Package com.pixelmed.dicom

# Class CodingSchemeIdentification

java.lang.Object
com.pixelmed.dicom.CodingSchemeIdentification

public class CodingSchemeIdentification extends Object

A class to encapsulate the information related to Coding Scheme Identification encoded in composite instances within CodingSchemeIdentificationSequence.

Includes a "dictionary" of various commonly used coding schemes and mappings between their CodingSchemeDesignators and OIDs, as well as convenience methods to add and extract what coding schemes are used within an instance.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CodingSchemeIdentificationItem`
`ACR`
`static final CodingSchemeIdentificationItem`
`ASTM_SIG`
`static final CodingSchemeIdentificationItem`
`C4`
`static final CodingSchemeIdentificationItem`
`C5`
`static final CodingSchemeIdentificationItem`
`caDSR`
`static final CodingSchemeIdentificationItem`
`CD2`
`static final CodingSchemeIdentificationItem`
`CTV3`
`static final CodingSchemeIdentificationItem`
`DC`
`static final CodingSchemeIdentificationItem`
`DCM`
`static final CodingSchemeIdentificationItem`
`DCMUID`
`static final CodingSchemeIdentificationItem`
`FMA`
`static final CodingSchemeIdentificationItem`
`HPC`
`static final CodingSchemeIdentificationItem`
`I10`
`static final CodingSchemeIdentificationItem`
`I10C`
`static final CodingSchemeIdentificationItem`
`I10P`
`static final CodingSchemeIdentificationItem`
`I11`
`static final CodingSchemeIdentificationItem`
`I9`
`static final CodingSchemeIdentificationItem`
`I9C`
`static final CodingSchemeIdentificationItem`
`IBSI`
`static final CodingSchemeIdentificationItem`
`ICDO3`
`static final CodingSchemeIdentificationItem`
`ISO3166_1`
`static final CodingSchemeIdentificationItem`
`ISO639_1`
`static final CodingSchemeIdentificationItem`
`ISO639_2`
`static final CodingSchemeIdentificationItem`
`ITIS_TSN`
`protected static CodingSchemeIdentificationItem[]`
`knownCodingSchemes`
`protected List<CodingSchemeIdentificationItem>`
`listOfItems`
`static final CodingSchemeIdentificationItem`
`LN`
`static final CodingSchemeIdentificationItem`
`MA`
`static final CodingSchemeIdentificationItem`
`MAYOASRG`
`static final CodingSchemeIdentificationItem`
`MDC`
`static final CodingSchemeIdentificationItem`
`MGI`
`static final CodingSchemeIdentificationItem`
`MSH`
`static final CodingSchemeIdentificationItem`
`NBD`
`static final CodingSchemeIdentificationItem`
`NBG`
`static final CodingSchemeIdentificationItem`
`NCIt`
`static final CodingSchemeIdentificationItem`
`NDC`
`static final CodingSchemeIdentificationItem`
`NEU`
`static final CodingSchemeIdentificationItem`
`NICIP`
`static final CodingSchemeIdentificationItem`
`NYUMCCG`
`static final CodingSchemeIdentificationItem`
`PATHLEX`
`static final CodingSchemeIdentificationItem`
`POS`
`static final CodingSchemeIdentificationItem`
`Private_99_OFFIS_DCMTK`
`static final CodingSchemeIdentificationItem`
`Private_99IPCMR`
`static final CodingSchemeIdentificationItem`
`Private_99PMP`
`static final CodingSchemeIdentificationItem`
`Private_99QIICR`
`static final CodingSchemeIdentificationItem`
`PUBCHEM_CID`
`static final CodingSchemeIdentificationItem`
`RADELEMENT`
`static final CodingSchemeIdentificationItem`
`RADLEX`
`static final String`
`REGISTRY_HL7`
`static final CodingSchemeIdentificationItem`
`RFC3066`
`static final CodingSchemeIdentificationItem`
`RFC5646`
`static final CodingSchemeIdentificationItem`
`RO`
`static final CodingSchemeIdentificationItem`
`RXNORM`
`static final CodingSchemeIdentificationItem`
`SCT`
`static final CodingSchemeIdentificationItem`
`SDM`
`static final CodingSchemeIdentificationItem`
`SNM3`
`static final CodingSchemeIdentificationItem`
`SRT`
`static final CodingSchemeIdentificationItem`
`UBERON`
`static final CodingSchemeIdentificationItem`
`UCUM`
`static final CodingSchemeIdentificationItem`
`UMLS`
`static final CodingSchemeIdentificationItem`
`UPC`

## Constructor Summary

Constructors
Constructor
Description
`CodingSchemeIdentification(AttributeList list)`
Construct a CodingSchemeIdentification instance from the CodingSchemeIdentificationSequence in the supplied list.
`CodingSchemeIdentification(List<CodingSchemeIdentificationItem> listOfItems)`
Construct a CodingSchemeIdentification from a list of CodingSchemeIdentificationItems.

## Method Summary

Modifier and Type
Method
Description
`SequenceAttribute`
`getAsSequenceAttribute()`
Get as a CodingSchemeIdentificationSequence attribute.
`CodingSchemeIdentificationItem`
`getByCodingSchemeDesignator(String codingSchemeDesignator)`
Get details of a particular coding scheme by looking up by CodingSchemeDesignator value.
`static CodingSchemeIdentification`
`getCodingSchemesFromExistingAttributeList(AttributeList list)`
Build a new CodingSchemeIdentification instance by examining all uses of CodedSequenceItems within the supplied list.
`protected static CodingSchemeIdentificationItem`
`lookupByCodingSchemeDesignator(String csd)`
`protected static void`
`recursivelyCollectCodingSchemeDesignators(AttributeList list, Set<String> schemesFound)`
`static void`
`replaceCodingSchemeIdentificationSequenceWithCodingSchemesUsedInAttributeList(AttributeList list)`
Replace any existing CodingSchemeIdentificationSequence in the list with information gathered by examining all uses of CodedSequenceItems within the list.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### listOfItems

protected List<CodingSchemeIdentificationItem> listOfItems

### REGISTRY_HL7

public static final String REGISTRY_HL7

See Also:
  - Constant Field Values

### ACR

public static final CodingSchemeIdentificationItem ACR

### ASTM_SIG

public static final CodingSchemeIdentificationItem ASTM_SIG

### C4

public static final CodingSchemeIdentificationItem C4

### C5

public static final CodingSchemeIdentificationItem C5

### caDSR

public static final CodingSchemeIdentificationItem caDSR

### CD2

public static final CodingSchemeIdentificationItem CD2

### CTV3

public static final CodingSchemeIdentificationItem CTV3

### DC

public static final CodingSchemeIdentificationItem DC

### DCM

public static final CodingSchemeIdentificationItem DCM

### DCMUID

public static final CodingSchemeIdentificationItem DCMUID

### FMA

public static final CodingSchemeIdentificationItem FMA

### HPC

public static final CodingSchemeIdentificationItem HPC

### I10

public static final CodingSchemeIdentificationItem I10

### I10C

public static final CodingSchemeIdentificationItem I10C

### I10P

public static final CodingSchemeIdentificationItem I10P

### I11

public static final CodingSchemeIdentificationItem I11

### I9

public static final CodingSchemeIdentificationItem I9

### I9C

public static final CodingSchemeIdentificationItem I9C

### IBSI

public static final CodingSchemeIdentificationItem IBSI

### ICDO3

public static final CodingSchemeIdentificationItem ICDO3

### ISO3166_1

public static final CodingSchemeIdentificationItem ISO3166_1

### ISO639_1

public static final CodingSchemeIdentificationItem ISO639_1

### ISO639_2

public static final CodingSchemeIdentificationItem ISO639_2

### ITIS_TSN

public static final CodingSchemeIdentificationItem ITIS_TSN

### LN

public static final CodingSchemeIdentificationItem LN

### MA

public static final CodingSchemeIdentificationItem MA

### MAYOASRG

public static final CodingSchemeIdentificationItem MAYOASRG

### MDC

public static final CodingSchemeIdentificationItem MDC

### MGI

public static final CodingSchemeIdentificationItem MGI

### MSH

public static final CodingSchemeIdentificationItem MSH

### NBD

public static final CodingSchemeIdentificationItem NBD

### NBG

public static final CodingSchemeIdentificationItem NBG

### NCIt

public static final CodingSchemeIdentificationItem NCIt

### NDC

public static final CodingSchemeIdentificationItem NDC

### NEU

public static final CodingSchemeIdentificationItem NEU

### NICIP

public static final CodingSchemeIdentificationItem NICIP

### NYUMCCG

public static final CodingSchemeIdentificationItem NYUMCCG

### PATHLEX

public static final CodingSchemeIdentificationItem PATHLEX

### POS

public static final CodingSchemeIdentificationItem POS

### PUBCHEM_CID

public static final CodingSchemeIdentificationItem PUBCHEM_CID

### RADELEMENT

public static final CodingSchemeIdentificationItem RADELEMENT

### RADLEX

public static final CodingSchemeIdentificationItem RADLEX

### RFC3066

public static final CodingSchemeIdentificationItem RFC3066

### RFC5646

public static final CodingSchemeIdentificationItem RFC5646

### RO

public static final CodingSchemeIdentificationItem RO

### RXNORM

public static final CodingSchemeIdentificationItem RXNORM

### SCT

public static final CodingSchemeIdentificationItem SCT

### SDM

public static final CodingSchemeIdentificationItem SDM

### SNM3

public static final CodingSchemeIdentificationItem SNM3

### SRT

public static final CodingSchemeIdentificationItem SRT

### UBERON

public static final CodingSchemeIdentificationItem UBERON

### UCUM

public static final CodingSchemeIdentificationItem UCUM

### UMLS

public static final CodingSchemeIdentificationItem UMLS

### UPC

public static final CodingSchemeIdentificationItem UPC

### Private_99_OFFIS_DCMTK

public static final CodingSchemeIdentificationItem Private_99_OFFIS_DCMTK

### Private_99PMP

public static final CodingSchemeIdentificationItem Private_99PMP

### Private_99IPCMR

public static final CodingSchemeIdentificationItem Private_99IPCMR

### Private_99QIICR

public static final CodingSchemeIdentificationItem Private_99QIICR

### knownCodingSchemes

protected static CodingSchemeIdentificationItem[] knownCodingSchemes

## Constructor Details

### CodingSchemeIdentification

public CodingSchemeIdentification(AttributeList list)

Construct a CodingSchemeIdentification instance from the CodingSchemeIdentificationSequence in the supplied list.

Parameters:
  `list` - the list in which to look for the CodingSchemeIdentificationSequence attribute

### CodingSchemeIdentification

public CodingSchemeIdentification(List<CodingSchemeIdentificationItem> listOfItems)

Construct a CodingSchemeIdentification from a list of CodingSchemeIdentificationItems.

Parameters:
  `listOfItems` - may be null if none (yet)

## Method Details

### lookupByCodingSchemeDesignator

protected static CodingSchemeIdentificationItem lookupByCodingSchemeDesignator(String csd)

### getAsSequenceAttribute

public SequenceAttribute getAsSequenceAttribute()

Get as a CodingSchemeIdentificationSequence attribute.

Returns:
  a SequenceAttribute with one item per coding scheme, or null if no coding schemes

### getByCodingSchemeDesignator

public CodingSchemeIdentificationItem getByCodingSchemeDesignator(String codingSchemeDesignator)

Get details of a particular coding scheme by looking up by CodingSchemeDesignator value.

Parameters:
  `codingSchemeDesignator` - coding scheme designator
Returns:
  a CodingSchemeIdentificationItem, or null if not found

### recursivelyCollectCodingSchemeDesignators

protected static void recursivelyCollectCodingSchemeDesignators(AttributeList list, Set<String> schemesFound)

### getCodingSchemesFromExistingAttributeList

public static CodingSchemeIdentification getCodingSchemesFromExistingAttributeList(AttributeList list)

Build a new CodingSchemeIdentification instance by examining all uses of CodedSequenceItems within the supplied list.

Parameters:
  `list` - the list in which to look for the CodedSequenceItem attribute
Returns:
  a new CodingSchemeIdentification, or null if none found

### replaceCodingSchemeIdentificationSequenceWithCodingSchemesUsedInAttributeList

public static void replaceCodingSchemeIdentificationSequenceWithCodingSchemesUsedInAttributeList(AttributeList list)

Replace any existing CodingSchemeIdentificationSequence in the list with information gathered by examining all uses of CodedSequenceItems within the list.

Parameters:
  `list` - the list in which to look for the CodedSequenceItem attribute